## mythtvsrc mythtvsrc — Control and receive data as a client over the network via raw socket connections using the MythTV protocol |

## Synopsis

    struct              GstMythtvSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstMythtvSrc

## Implemented Interfaces

GstMythtvSrc implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write
      "mythtv-channel"           gchar*                : Read / Write
      "mythtv-enable-timing-position" gboolean              : Read / Write
      "mythtv-live"              gboolean              : Read / Write
      "mythtv-live-chainid"      gchar*                : Read / Write
      "mythtv-live-id"           gint                  : Read / Write
      "mythtv-version"           gint                  : Read / Write

## Description

## Synopsis

### Element Information

plugin | mythtv
author | Rosfran Borges <rosfran.borges@indt.org.br>, Renato Filho <renato.filho@indt.org.br>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstMythtvSrc

    struct GstMythtvSrc;

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

Default value: ""

### The `"mythtv-channel"` property

      "mythtv-channel"           gchar*                : Read / Write

Change MythTV channel number.

Default value: ""

### The `"mythtv-enable-timing-position"` property

      "mythtv-enable-timing-position" gboolean              : Read / Write

Enable MythTV Live TV content size continuous updating.

Default value: FALSE

### The `"mythtv-live"` property

      "mythtv-live"              gboolean              : Read / Write

Enable MythTV Live TV content streaming.

Default value: FALSE

### The `"mythtv-live-chainid"` property

      "mythtv-live-chainid"      gchar*                : Read / Write

Sets the MythTV chain ID (from TV Chain).

Default value: ""

### The `"mythtv-live-id"` property

      "mythtv-live-id"           gint                  : Read / Write

Change MythTV version.

Allowed values: [0,200]

Default value: 1

### The `"mythtv-version"` property

      "mythtv-version"           gint                  : Read / Write

Change MythTV version.

Allowed values: [26,30]

Default value: 26